package com.casic.missiles.modular.system.dao;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.casic.missiles.modular.system.model.DeptPermission;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface DeptPermissionConfigDao extends BaseMapper<DeptPermission> {

    List<Map<String, Object>> getListPage(@Param("deptid") Long deptid);

    Long getPid();

    String getDeviceName(@Param("deviceType") Long deviceType);

    String getWellName(@Param("pid") Long pid, @Param("wellType") String wellType);
}
